Bug 29137 - Unwanted authorised values are too easily created via the cataloging module
Summary: Unwanted authorised values are too easily created via the cataloging module
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 25728 29030
Blocks: 29286
  Show dependency treegraph
 
Reported: 2021-09-29 18:27 UTC by Andrew Fuerste-Henry
Modified: 2021-10-26 14:23 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.11


Attachments
Bug 29137: Add new syspref to disable AV creation within the cataloguing module (7.16 KB, patch)
2021-09-30 07:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29137: Add new syspref to disable AV creation within the cataloguing module (7.21 KB, patch)
2021-09-30 13:59 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 29137: Add new syspref to disable AV creation within the cataloguing module (7.27 KB, patch)
2021-09-30 16:06 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-09-29 18:27:45 UTC
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=25728#c50

"I don't like this patch at all!
After just a few weeks we have dozens of new locations created by mistake, like HORS, FICT, NON-FI &c, &c

Staff type just the first letters of a location and then hit enter, and voila, there is a new location!

Please make a syspref for this, and make it disabled by default - or set it as a permission that could be turned off, even for superlibrarians"

I very much agree with Klas here. This makes to much much too easy to create authorised values in error.
Comment 1 Andrew Fuerste-Henry 2021-09-29 18:30:59 UTC
part of this issue was resolved by bug 29030.

But we absolutely need a way for this to be turned off entirely.
Comment 2 Katrin Fischer 2021-09-29 18:33:44 UTC
Have you looked into removing the authorised values managing permission?

I think it would be consequential, if you don't want people to add auth values to not allow it in another spot.
Comment 3 Andrew Fuerste-Henry 2021-09-29 21:00:35 UTC
Removing the permission would be effective for wholly disabling this feature for folks who are not superlibrarians.
Ideally, superlibrarians who don't wish to use this would also have a way to turn it off.
Comment 4 Joy Nelson 2021-09-29 22:44:48 UTC
Most catalogers (even non super librarians) will need the ability to manage authorised values.  But what they need/value most of all is 'efficiency' in cataloging.  For their workflows, they need  the ability to quickly select a value in the drop down by typing the first couple letters and select the value, move on to the next dropdown. (reduction of number of clicks) What this featuer does is change their workflow and requires them to scroll instead of using the keyboard.  We will see a cataloger revolt if we do not find a way to make this optional for catalogers.

joy



(In reply to Andrew Fuerste-Henry from comment #3)
> Removing the permission would be effective for wholly disabling this feature
> for folks who are not superlibrarians.
> Ideally, superlibrarians who don't wish to use this would also have a way to
> turn it off.
Comment 5 Katrin Fischer 2021-09-30 06:41:18 UTC
I totally get the usability issue Joy point out. 

I just have a hard time about the "accidentally creating", because I believe the form that pops up makes it clear what you are doing there and will only appear if you have the permission to d the same thing in the administration module. 

What if we didn't suggest to create a new one on not finding a perfect match, but moved the option to the bottom of the list or outside the select2 pull down? Next to the item field where it could also be hidden?
Comment 6 Jonathan Druart 2021-09-30 07:02:01 UTC
Created attachment 125473 [details] [review]
Bug 29137: Add new syspref to disable AV creation within the cataloguing module

"I don't like this patch at all!"
"We will see a cataloger revolt if we do not find a way to make this
optional for catalogers."

I imagined a hord of catalogers running behind me and I got scared.

This patch will allow to turn the new feature added by bug 25728 off.

Test plan:
Confirm that the new CreateAVFromCataloguing will permit to turn the
feature off.
Comment 7 Jonathan Druart 2021-09-30 07:03:13 UTC
(In reply to Katrin Fischer from comment #5)
> I totally get the usability issue Joy point out. 
> 
> I just have a hard time about the "accidentally creating", because I believe
> the form that pops up makes it clear what you are doing there and will only
> appear if you have the permission to d the same thing in the administration
> module. 

Same here, with bug 29030 I don't see how it could still be a problem.

But here you go, this patch will permit to turn the feature off.
Comment 8 Andrew Fuerste-Henry 2021-09-30 13:59:26 UTC
Created attachment 125542 [details] [review]
Bug 29137: Add new syspref to disable AV creation within the cataloguing module

"I don't like this patch at all!"
"We will see a cataloger revolt if we do not find a way to make this
optional for catalogers."

I imagined a hord of catalogers running behind me and I got scared.

This patch will allow to turn the new feature added by bug 25728 off.

Test plan:
Confirm that the new CreateAVFromCataloguing will permit to turn the
feature off.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 9 Andrew Fuerste-Henry 2021-09-30 14:02:30 UTC
I'll admit to a bit of pearl-clutching overreaction on this. I hadn't yet seen 29030 when I filed this. Like Joy and Jonathan, I also fear torch-wielding catalogers. Thanks!
Comment 10 Joy Nelson 2021-09-30 14:46:33 UTC
Thank you everyone!  This fix will really make 'hi-efficiency', keyboard centric catalogers very happy.  :D

joy


(In reply to Andrew Fuerste-Henry from comment #9)
> I'll admit to a bit of pearl-clutching overreaction on this. I hadn't yet
> seen 29030 when I filed this. Like Joy and Jonathan, I also fear
> torch-wielding catalogers. Thanks!
Comment 11 Nick Clemens 2021-09-30 16:06:40 UTC
Created attachment 125546 [details] [review]
Bug 29137: Add new syspref to disable AV creation within the cataloguing module

"I don't like this patch at all!"
"We will see a cataloger revolt if we do not find a way to make this
optional for catalogers."

I imagined a hord of catalogers running behind me and I got scared.

This patch will allow to turn the new feature added by bug 25728 off.

Test plan:
Confirm that the new CreateAVFromCataloguing will permit to turn the
feature off.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 12 Jason Vasche 2021-09-30 19:40:44 UTC
Joy described my (and my RRPL colleagues') need for efficiency in cataloging workflow perfectly in comment 4.  We would love to have a way to completely turn off AV creation in the cataloging module, thanks to all involved for patching this bug!

*hides unlit torch behind back and whistles nonchalantly*
Comment 13 Jonathan Druart 2021-10-01 14:30:25 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 14 Kyle M Hall 2021-10-08 13:48:15 UTC
Pushed to 21.05.x for 21.05.05
Comment 15 Fridolin Somers 2021-10-21 04:03:46 UTC
Pushed to 20.11.x for 20.11.11
Comment 16 Victor Grousset/tuxayo 2021-10-26 00:42:48 UTC
Missing dependencies for 20.05.x, not affected, no backport.